import requests
url = "https://api.lucidworks.com/customers/{CUSTOMER_ID}/ai/models"
payload = {}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "<string>",
"name": "<string>",
"modelType": "<string>",
"category": "<string>",
"description": "<string>",
"region": "<string>",
"trainingData": {
"catalog": "<string>",
"signals": "<string>"
},
"config": {
"dataset_config": "mlp_ecommerce",
"trainer_config": "mlp_ecommerce",
"trainer_config/text_processor_config": "word_en",
"trainer_config.encoder_config.rnn_names_list": [
"gru"
],
"trainer_config.encoder_config.rnn_units_list": [
128
],
"trainer_config.trn_batch_size": 123,
"trainer_config.num_epochs": 1,
"trainer_config.monitor_patience": 8,
"trainer_config.encoder_config.emb_spdp": 0.3,
"trainer_config.encoder_config.emb_trainable": true
},
"state": "<string>",
"trainingStarted": "<string>",
"trainingCompleted": "<string>",
"createdBy": "<string>"
}Create a model
Create a custom model and start a training job. The custom model cannot be modified after it is created.
import requests
url = "https://api.lucidworks.com/customers/{CUSTOMER_ID}/ai/models"
payload = {}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "<string>",
"name": "<string>",
"modelType": "<string>",
"category": "<string>",
"description": "<string>",
"region": "<string>",
"trainingData": {
"catalog": "<string>",
"signals": "<string>"
},
"config": {
"dataset_config": "mlp_ecommerce",
"trainer_config": "mlp_ecommerce",
"trainer_config/text_processor_config": "word_en",
"trainer_config.encoder_config.rnn_names_list": [
"gru"
],
"trainer_config.encoder_config.rnn_units_list": [
128
],
"trainer_config.trn_batch_size": 123,
"trainer_config.num_epochs": 1,
"trainer_config.monitor_patience": 8,
"trainer_config.encoder_config.emb_spdp": 0.3,
"trainer_config.encoder_config.emb_trainable": true
},
"state": "<string>",
"trainingStarted": "<string>",
"trainingCompleted": "<string>",
"createdBy": "<string>"
}Path Parameters
Unique identifier derived from confidential client information.
Body
The user-friendly name of the model.
The name of the custom model.
The geographic region specified when the custom model is being trained.
The location of the training data in Google Cloud Storage (GCS).
Show child attributes
Show child attributes
The configuration parameters passed to the model training job.
Show child attributes
Show child attributes
The credentials used to access the training data URLs.
Show child attributes
Show child attributes
Response
OK
The identifier of the model. The value is the universally unique identified (UUID) that is the primary key for the model.
The user-friendly name of the model.
The name of the model.
The object that specifies the model is custom.
The description of the model.
The geographic region specified when the custom model was trained.
The location of the training data in Google Cloud Storage (GCS).
Show child attributes
Show child attributes
The configuration parameters passed to the model training job.
Show child attributes
Show child attributes
This field specifies the current status of the custom model. The value is TRAINING.
The date and time the training started. This field only applies to custom models.
The date and time the training completed. This field only applies to custom models.
The user who created the model.
Was this page helpful?